AM_CPPFLAGS = -Wall -Wextra -g $(all_includes) -I../lib

if HAVE_SDR

bin_PROGRAMS = \
	osmoradio

osmoradio_SOURCES = \
	radio.c \
	main.c
osmoradio_LDADD = \
	$(COMMON_LA) \
	$(top_builddir)/src/lib/liboptions/liboptions.a \
	$(top_builddir)/src/lib/libdebug/libdebug.a \
	$(top_builddir)/src/lib/libwave/libwave.a \
	$(top_builddir)/src/lib/libsample/libsample.a \
	$(top_builddir)/src/lib/libsdr/libsdr.a \
	$(top_builddir)/src/lib/libclipper/libclipper.a \
	$(top_builddir)/src/lib/libfm/libfm.a \
	$(top_builddir)/src/lib/libam/libam.a \
	$(top_builddir)/src/lib/libemphasis/libemphasis.a \
	$(top_builddir)/src/lib/libsamplerate/libsamplerate.a \
	$(top_builddir)/src/lib/libjitter/libjitter.a \
	$(top_builddir)/src/lib/libfilter/libfilter.a \
	$(top_builddir)/src/lib/libdisplay/libdisplay.a \
	$(top_builddir)/src/lib/libfft/libfft.a \
	$(top_builddir)/src/lib/libtimer/libtimer.a \
	$(UHD_LIBS) \
	$(SOAPY_LIBS) \
	-lm

if HAVE_ALSA
osmoradio_LDADD += \
	$(top_builddir)/src/lib/libsound/libsound.a \
	$(ALSA_LIBS)
endif

if HAVE_ALSA
AM_CPPFLAGS += -DHAVE_ALSA
endif

AM_CPPFLAGS += -DHAVE_SDR

endif

